POST/hotelrates

Create Hotelrates

Implementation Notes

This API call allows you to make a granular request to receive the rates data for a single day. It accepts the parameters listed below and retrieves the rate data. Due to its limitations, this API should be used exclusively for demo or quality control purposes.
POST/hotelrates

Parameter Details

NameInTypeRequiredDescription
bodybodyOptionalnone
» hotelcodebodynumberOptionalnone
» checkinbodystring(date)Optionalnone
» checkoutbodystring(date)Optionalnone
» guestsbodynumberOptionalnone
» currencybodystringOptionalnone
» websitecodebodynumberOptionalnone
» posbodynumberOptionalnone
» snapshotbodybooleanOptionalnone

Responses

StatusMeaningDescriptionSchema
200OKSuccessNone
400Bad RequestBad RequestNone
401UnauthorizedAuthentication Failed or Account validity expiredNone
429Too Many RequestsYou have exceeded your access limitNone
500Internal Server ErrorInternal server errorNone

Example Request

# You can also use wget
curl -X POST /hotelrates \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body Parameter

{
 "hotelcode": 30388,
 "checkin": "2024-09-25",
 "checkout": "2024-09-26",
 "guests": 1,
 "currency": "USD",
 "websitecode": 1,
 "pos": 0,
 "snapshot": false
}

Example responses

200 Response
{
  "hotelcode": 0,
  "websitecode": 0,
  "dtcollected": "2019-08-24",
  "ratedate": "2019-08-24",
  "los": 0,
  "guests": 0,
  "roomtype": "string",
  "onsiterate": 0,
  "netrate": 0,
  "currency": "string",
  "ratedescription": "string",
  "sourceurl": "string",
  "roomamenities": "string",
  "maxoccupancy": 0,
  "ispromo": true,
  "closed": "string",
  "checkin": "2019-08-24",
  "checkout": "2019-08-24",
  "discount": 0,
  "promoname": "string",
  "searchkeyword": "string",
  "roomtypecode": 0,
  "conditionscode": 0,
  "mealplancode": 0,
  "taxstatus": 0,
  "taxtype": "string",
  "taxamount": 0,
  "pos": 0,
  "requestorigin": "string",
  "israteperstay": "string",
  "status_code": 0,
  "snapshoturl": "string"
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.